/* -*- mode: ObjC; tab-width: 8 -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Framework.

   The CocoUnit Framework is free software; you can redistribute
   it and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: FrameworkAllTests.h,v 1.3 2003/12/06 02:15:14 tsutsumi Exp $
 */

/** @file
 *
 */

#ifndef FRAMEWORKALLTESTS_H
#define FRAMEWORKALLTESTS_H

#include <CocoUnit/CocoTestCase.h>

#ifdef DEBUG
#define DLOG(FMT, ARGS...) do {				       \
    NSLog (@"%@.%s: ", [ self className ], sel_getName(_cmd)); \
    NSLog (FMT, ## ARGS);				       \
  } while (false)
#define DLOG0(FMT, ARGS...) NSLog (FMT, ## ARGS)
#else // !DEBUG
#define DLOG(FMT, ARGS...) /* NSLog ARG */
#define DLOG0(FMT, ARGS...) /* NSLog ARG */
#endif // DEBUG

/**
 * A fixture for testing the 'auto' test suite feature.
 */
@interface FrameworkAllTests : CocoTestCase

+(CocoTest*) suite;

@end

#endif // FRAMEWORKALLTESTS_H

// Local variables: ***
// compile-command: "xcodebuild -project ../../CocoUnit.xcode -target CocoUnitTest" ***
// End: ***
